Description

The installation of the Foreman .DEB package fails on Debian Linux 5.0 (Lenny) due to an old version of rake.
The package tree for Debian Linux 5.0 contains rake 0.8.1. /usr/share/foreman/extras/dbmigrate, which is being run by the package

postinst script, fails due to the old rake version:

$ su - foreman -s /bin/sh -c /usr/share/foreman/extras/dbmigrate

(in /usr/share/foreman)

rake aborted!

undefined method "reenable' for <Rake::Task db:schema:dump => [environment]>:Rake::Task

Installing a more recent version of rake through RubyGems and linking the binary to /usr/local/bin/rake fixes the problem.

Reference: HowTo update rake 0.8.1 -> 0.8.4 on debian

History

#1 - 11/14/2010 09:45 AM - Jochen Schalanda

- File 0001-Remove-absolute-paths-from-.-extras-dbmigrate-and-re.patch added

Related patch:

Remove absolute paths from ./extras/domigrate and rely on a correct $PATH environment variable instead of using absolute paths which will fail if
rake is not located at /usr/bin/rake (e. g. when using RubyGems rather than the distribution packages).

#2 - 11/14/2010 10:40 AM - Jochen Schalanda
- File 0001-Changed-debian-changelog-for-foreman-0.1.6-2-release.patch added

The package now depends on rake >= 0.8.4. Users of Debian Linux 5.0 (Lenny) will have to use the rake package from lenny-backports or install rake
through RubyGems.

#3 - 03/15/2011 04:10 AM - Ohad Levy

- Target version set to 0.2

#4 - 03/15/2011 08:56 AM - Ohad Levy

- Status changed from New to Closed

implemented at 467f037

#5 - 10/15/2018 01:45 PM - Tomer Brisker
- Category changed from 21 to Packaging
http://petersteinberger.com/2009/04/howto-update-rake-081-084-on-debian/
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/467f0379a25b2d9be9a0b6f330d582298fc1c55b

0001-Remove-absolute-paths-from-.-extras-dbmigrate-and-re.patch 817 Bytes 11/14/2010 Jochen Schalanda
0001-Changed-debian-changelog-for-foreman-0.1.6-2-release.patch 2.37 KB 11/14/2010 Jochen Schalanda
